<?xml version="1.0" encoding="UTF-8"?>
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="fr" xml:id="ldiv">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>ldiv</refname>
    <refpurpose> division longue d'une matrice de polynômes  </refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Séquence d'appel</title>
    <synopsis>[x]=ldiv(n,d,k)</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Paramètres</title>
    <variablelist>
      <varlistentry>
        <term>n,d  </term>
        <listitem>
          <para>deux matrices réelles de polynômes
</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>k  </term>
        <listitem>
          <para>entier
</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para><literal>x=ldiv(n,d,k)</literal> donne les <literal>k</literal> premiers coefficients de la division longue
    de <literal>n</literal> par <literal>d</literal> i.e. le développement de Taylor de la matrice rationnelle
    <literal>[nij(z)/dij(z)]</literal> à l'infini.
  </para>
    <para>
    Les coefficients du développement de <literal>nij/dij</literal> sont stockés dans  
    <literal>x((i-1)*n+k,j)  k=1:n</literal>
  </para>
  </refsection>
  <refsection>
    <title>Exemples</title>
    <programlisting role="example"><![CDATA[ 
wss=ssrand(1,1,3);[a,b,c,d]=abcd(wss);
wtf=ss2tf(wss);
x1=ldiv(numer(wtf),denom(wtf),5)
x2=[c*b;c*a*b;c*a^2*b;c*a^3*b;c*a^4*b]
wssbis=markp2ss(x1',5,1,1);
wtfbis=clean(ss2tf(wssbis))
x3=ldiv(numer(wtfbis),denom(wtfbis),5)
 ]]></programlisting>
  </refsection>
  <refsection>
    <title>Voir Aussi</title>
    <simplelist type="inline">
      <member>
        <link linkend="arl2">arl2</link>
      </member>
      <member>
        <link linkend="markp2ss">markp2ss</link>
      </member>
      <member>
        <link linkend="pdiv">pdiv</link>
      </member>
    </simplelist>
  </refsection>
</refentry>
